Welcome Inspire Pilots!
Join our free DJI Inspire community today!
Sign up

Inspire 1 firmware downgrade issues

Joined
Jan 3, 2020
Messages
5
Reaction score
0
Age
30
Hello,

I have been flying an Inspire 1 V2.0 for work (about a year now) and it hasn't had any issues until recently.

The drone has been disconnecting from the remote controller mid flight (iPad screen freezes and light goes red on remote controller). Luckily, it has returned and landed itself on low battery. However, one thing in particular I did notice is that when I reviewed the camera footage the video was upside down at the point when the drone disconnected.

When I have the drone on the ground and I try to reconnect, it remains disconnected. I've switched iPads, restarted the remote controller, iPad and the drone, changed USB cables and have done everything in sequence. I made sure the firmware was up to date as well.

I did run this issue past DJI and they seem to think its a firmware issue. I used the "Magic Key" file on the SD card and ran the downgrade. The downgrade worked on the remote controller but not the bird. I did do the remote controller first so I went back and upgraded it to the latest firmware to try again on the bird. Bird still won't downgrade. This is what I got back on the SD card, is there something I'm missing or doing wrong?


========== 2014.01.01 00:00:04 remo-con disconnect======
Packet: WM610_FW_V01.08.01.00_FCam.bin
Upgrading ...
Result: Success.

========== 2014.01.01 00:00:07 remo-con disconnect======
Packet: WM610_FW_V01.11.01.50.bin
Upgrading ...
Result: Success.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2019.11.13 12:29:14 =====================
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2019.11.13 13:11:29 =====================
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2019.11.25 12:56:18 =====================
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2019.11.25 12:56:43 =====================
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.10.01.40.bin
Result: Abort.
The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.

========== 2014.01.01 00:00:06 remo-con disconnect======
Packet: WM610_FW_V01.08.01.00.bin
Result: Abort.
The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.
 
Joined
Jan 2, 2018
Messages
35
Reaction score
2
Age
34
hey buddy, whats the current firmware on your bird. post a screenshot. remote, bird, camera.
 
Joined
Jun 28, 2016
Messages
1,361
Reaction score
581
Age
57
Unfortunately, FW version 1.11.xx seems to be the "point of no return." DJI has engineered this firmware version to be "un-roll-back-able." I don't have a solution for this. LOTS of guys have the same complaint you do. Unfortunately, I'm not willing to sacrifice one of my Inspires to figure out a hack for this. So until someone else comes up with one, all Inspire 1 owners who allowed the 1.11 update are stuck there for now. I wish I had better news.

D
 
  • Like
Reactions: Kayemily14
Joined
Apr 22, 2016
Messages
370
Reaction score
103
Location
Sofia
Website
goldenskybirds.com
I have downgraded mine I1V2 X5R from v1.11.01.50 directly to v1.08.01.20. I guess it's not possible to downgrade to wathever version you want but just to a speciffic ones as for example the downgrade didn't worked directly with v1.08.01.40 wich was my target version for certain reasons. I've had first to downgrade to v1.08.01.20 and then to uprade to v1.08.01.40 for getting that exact firmware on the bird.

BTW I see that your current firmware version ends with a + symbol, that could be the difference between being able to downgrade and not. I don't know any details about what the + symbol is meaning.

This is what I've had before the downgrade:
before_downgrade.jpg

This is what I've had on the sd card for initiating the downgrade:
whats_on_sd_card.jpg

Please note that after a few weeks of flying the downgraded bird I've got a strange problem with the bird - a compass error that wasn't able to get callibrated, I've tried on many different places and actually it powered up fine without even asking for compas callibration on one of those places but after that it was the same storry and couldn't get it to work properly. So I've upgraded again to v1.11.01.50 and so far everything is good with the bird.

Hope that helps you to fix your.

Good luck!
 
  • Like
Reactions: Kayemily14
Joined
Jun 28, 2016
Messages
1,361
Reaction score
581
Age
57
I have downgraded mine I1V2 X5R from v1.11.01.50 directly to v1.08.01.20. I guess it's not possible to downgrade to wathever version you want but just to a speciffic ones as for example the downgrade didn't worked directly with v1.08.01.40 wich was my target version for certain reasons. I've had first to downgrade to v1.08.01.20 and then to uprade to v1.08.01.40 for getting that exact firmware on the bird.
Interesting. I will keep that in mind. I've got bin file 1.08.01.00

1578211374691.png

I also have the pro version:

1578211438882.png

I wonder if these will work? Where did you get v1.08.01.20?

D
 
Joined
Feb 6, 2018
Messages
33
Reaction score
3
Age
62
I'm having the same problem as @Kayemily14. I dutifully upgraded to the latest firmware, V01.11, then found the video transmission was awful, and can't go more than about 1000ft before radio interference. I researched this and found V01.08, following the instructions in various posts regarding downgrading firmware on this and other forums, booting the Inspire with the bin and debug files on a MicroSD card in the camera. The result is my Inspire just keeps beeping and the downgrade never completes, even after letting it run for about an hour. Examination of the log file reveals multiple entries like this:

========== 2016.03.09 07:39:43 =====================
Packet: WM610_FW_V01.03.00.00.bin
Result: Abort.
The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.

========== 2017.10.07 17:07:47 =====================
Packet: WM610_FW_V01.11.01.50.bin
Upgrading ...
Result: Success.

========== 2014.01.01 00:00:08 remo-con disconnect======
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

Note the version referenced here is the current V01.11 firmware, yet the message says this version is identical or older than the V1.08 on my SD card)

I'm assuming these entries are for all the different computer controlled devices on the Inspire, camera, gimbal, battery, ESCs, motors, etc. Any modern drone is a marvel of interconnected smart devices, and they all have computerized chips and embedded firmware to control them. It's a wonder they get them to all talk to each other and work correctly. This makes me a wary of am successful "downgrade", all it would take is one module to be on the wrong version to ruin your day, possibly crashing the Inspire. I tried the downgrade again tonight, with the same results. I may have to upgrade to V01.11 again and start over with another firmware version, perhaps V01.09. I have not been able to locate V01.09 though, down anyone have a download link?
Chris
 
Joined
Jan 3, 2020
Messages
5
Reaction score
0
Age
30
Unfortunately, FW version 1.11.xx seems to be the "point of no return." DJI has engineered this firmware version to be "un-roll-back-able." I don't have a solution for this. LOTS of guys have the same complaint you do. Unfortunately, I'm not willing to sacrifice one of my Inspires to figure out a hack for this. So until someone else comes up with one, all Inspire 1 owners who allowed the 1.11 update are stuck there for now. I wish I had better news.

D
Good to know, thank you Donnie
 
Joined
Jan 3, 2020
Messages
5
Reaction score
0
Age
30
I have downgraded mine I1V2 X5R from v1.11.01.50 directly to v1.08.01.20. I guess it's not possible to downgrade to wathever version you want but just to a speciffic ones as for example the downgrade didn't worked directly with v1.08.01.40 wich was my target version for certain reasons. I've had first to downgrade to v1.08.01.20 and then to uprade to v1.08.01.40 for getting that exact firmware on the bird.

BTW I see that your current firmware version ends with a + symbol, that could be the difference between being able to downgrade and not. I don't know any details about what the + symbol is meaning.

This is what I've had before the downgrade:
View attachment 27750

This is what I've had on the sd card for initiating the downgrade:
View attachment 27749

Please note that after a few weeks of flying the downgraded bird I've got a strange problem with the bird - a compass error that wasn't able to get callibrated, I've tried on many different places and actually it powered up fine without even asking for compas callibration on one of those places but after that it was the same storry and couldn't get it to work properly. So I've upgraded again to v1.11.01.50 and so far everything is good with the bird.

Hope that helps you to fix your.

Good luck!
Interesting, maybe I'll try v1.08.01.20 and see what happens. I've read information about the + sign having something to do with being connected to the internet, which I was when I tried the downgrades. Also my bin file remains as a zipped file, do I have to unzip it? When I double click it archives the file, maybe that is somewhere I'm going wrong.

Thank you!
 
Joined
Jun 28, 2016
Messages
1,361
Reaction score
581
Age
57
Good to know, thank you Donnie
There's another user in this forum who seems to have figured it out. I believe "Kev Kattz" (or something close to that) is his name. Don't have time to research it now, but he's contributing to an active thread in this forum this week.

D
 
  • Like
Reactions: Kayemily14
Joined
Apr 22, 2016
Messages
370
Reaction score
103
Location
Sofia
Website
goldenskybirds.com
Hey @Donnie Frank unfortunatelly I can't remember where I've got the link with the firmwares, but there was a library with a lot of versions but not all for x5r camera. I'll have to dig a bit to find it out but I'm pretty busy at the moment.
I saw @kattz comment that he did downgrade to v1.08.01.00, so I guess then the problem is not in that particular version but it may be related to the type of the camera as mine and Kattz are x5r and you are trying with x5. In my case I definitelly could not downgrade to v1.08.01.40 and that's why tried with the previous one and the downgrade went well with it (v1.08.01.20).

@Kayemily14 I think you definitelly have to unzip the file and to put the .bin file on the sd card. Check the second image I posted in here, you can clearly see that there is only .bin file and not a .zip file on the sd.

Edit:
Just realized that I didn't noticed that @kattz have succeeded the downgrade with x5 camera and not x5r, so please ignore my guess about the x5 and x5r camera, obviously it works for both.
 
Last edited:
Joined
Jan 4, 2020
Messages
1
Reaction score
0
Age
47
Where can I get the firmware version 1.08.01.40 ??? My inspire raw keeps losing connection between tablet and camera (X5R), right now it's using the "latest" firmware available.

Thanks in advance.
 
Joined
Jan 2, 2018
Messages
35
Reaction score
2
Age
34
Thats an issue because firmaware incompatibilty between aircraft and controller. Move to the most update version on both
 
Joined
Jan 3, 2020
Messages
5
Reaction score
0
Age
30
I was able to downgrade the remote and re-upgrade it to the current version. Seemed to fix my connection issues and the drone is flying normally like nothing happened. Thank you everyone for your help!
 
Joined
Mar 30, 2015
Messages
738
Reaction score
149
Age
38
does anyone have a link to the files for downgrading?
 
Joined
Feb 25, 2020
Messages
1
Reaction score
0
Age
40
Unfortunately, FW version 1.11.xx seems to be the "point of no return." DJI has engineered this firmware version to be "un-roll-back-able." I don't have a solution for this. LOTS of guys have the same complaint you do. Unfortunately, I'm not willing to sacrifice one of my Inspires to figure out a hack for this. So until someone else comes up with one, all Inspire 1 owners who allowed the 1.11 update are stuck there for now. I wish I had better news.

D
Hello there Donnie. New to the site and new to the Inspire 1 with the x-3. I see you have that 1.8 bin firmware for my Inspire is there anyway you could give that to me? I'm having headaches with the drone and finding firmware, I'm guessing you have a good idea on wants going with the drone and my emotions..
Thank you
 
Joined
Nov 21, 2015
Messages
71
Reaction score
4
Age
76
Location
Laguna Woods, California
I'm having the same problem as @Kayemily14. I dutifully upgraded to the latest firmware, V01.11, then found the video transmission was awful, and can't go more than about 1000ft before radio interference. I researched this and found V01.08, following the instructions in various posts regarding downgrading firmware on this and other forums, booting the Inspire with the bin and debug files on a MicroSD card in the camera. The result is my Inspire just keeps beeping and the downgrade never completes, even after letting it run for about an hour. Examination of the log file reveals multiple entries like this:

========== 2016.03.09 07:39:43 =====================
Packet: WM610_FW_V01.03.00.00.bin
Result: Abort.
The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.

========== 2017.10.07 17:07:47 =====================
Packet: WM610_FW_V01.11.01.50.bin
Upgrading ...
Result: Success.

========== 2014.01.01 00:00:08 remo-con disconnect======
Packet: WM610_FW_V01.11.01.50.bin
Result: Abort.
The firmware on the SD card is identical to or older than the current firmware on the device.

Note the version referenced here is the current V01.11 firmware, yet the message says this version is identical or older than the V1.08 on my SD card)

I'm assuming these entries are for all the different computer controlled devices on the Inspire, camera, gimbal, battery, ESCs, motors, etc. Any modern drone is a marvel of interconnected smart devices, and they all have computerized chips and embedded firmware to control them. It's a wonder they get them to all talk to each other and work correctly. This makes me a wary of am successful "downgrade", all it would take is one module to be on the wrong version to ruin your day, possibly crashing the Inspire. I tried the downgrade again tonight, with the same results. I may have to upgrade to V01.11 again and start over with another firmware version, perhaps V01.09. I have not been able to locate V01.09 though, down anyone have a download link?
Chris
Hey cjc1103,
I too have the same problem after attempting to downgrade to 1.08, my ac just beeps. The log file says UPGRADING after an hour. I did see that all 4 motor lights did sequence per Donnie Frank instructions.

SuccessResults.jpg

Even with the constant beeping, I was successful in getting both controllers (pilot and camera) to version.1.7.80. Small progress. Since the camera/gimbal fails (goes limp) after initialization, I attempted to do an auto gimbal cal with the X3 mounted (and getting video), but it failed. So I put my X3 on my Osmo and ran an auto cal which passed. Back on the Inspire and I now get the gimbal error which only shows up for a second, but again goes limp and beeping continues. Interesting, even with video, there is still no ac info in the ABOUT section. RC and Camera are there but no aircraft version. Just for grins, I took off the X3 and the ac still beeps without the camera. Driving in the dark here....

I guess trying to go back to 1.11 is worth another couple of hours - I am bricked now!!
 
Joined
Apr 22, 2016
Messages
370
Reaction score
103
Location
Sofia
Website
goldenskybirds.com
Hey cjc1103,
I too have the same problem after attempting to downgrade to 1.08, my ac just beeps. The log file says UPGRADING after an hour. I did see that all 4 motor lights did sequence per Donnie Frank instructions.

View attachment 28175

Even with the constant beeping, I was successful in getting both controllers (pilot and camera) to version.1.7.80. Small progress. Since the camera/gimbal fails (goes limp) after initialization, I attempted to do an auto gimbal cal with the X3 mounted (and getting video), but it failed. So I put my X3 on my Osmo and ran an auto cal which passed. Back on the Inspire and I now get the gimbal error which only shows up for a second, but again goes limp and beeping continues. Interesting, even with video, there is still no ac info in the ABOUT section. RC and Camera are there but no aircraft version. Just for grins, I took off the X3 and the ac still beeps without the camera. Driving in the dark here....

I guess trying to go back to 1.11 is worth another couple of hours - I am bricked now!!
From the log file it looks you did not waited for the update to finish as there should be a message confirmig that it was success or failed. Maybe you should try to install the same firmware if it accepts it or install the latest one to fix the issue and then try again to downgrade to this version.
For the RC if I remember correct after following the procedure for enabling a downgrade there was an option for only one major version to choose from the list and it was to go directly down to v1.6 wich works and connects perfectly with AC with firmware v1.8.
 
Joined
Apr 22, 2016
Messages
370
Reaction score
103
Location
Sofia
Website
goldenskybirds.com
It have to be taken in account that there are 3 different models of RC's which could contribute to some differences in the suggested firmware version. Mine is model C, there are also A and B. You can see your by cheking the label where the serial number is located on the back of the RC.
 
Joined
Nov 21, 2015
Messages
71
Reaction score
4
Age
76
Location
Laguna Woods, California
Hi niki,
Thanks for your response. You are correct, the updated did not complete (based on the log file). I tried both the 1.08 and 1.11 again, but cannot get past the constant beeping. Also when reviewing the chip after the upgrade/downgrade attempts, there is no new log file which indicates the DEBUG (magic key) did not work.


Screen Shot 2020-02-26 at 9.15.55 AM.png

Is the DEBUG file a "one use only?"

Also I did check all 3 of my controllers. From what I can tell they are all C1, does this fit?

IMG_2751.JPG

Does anyone have a hack to bypass the failed download to 1.08? I have tried a lot of options, including running the X3 on my Osmo (which works and calibrates), but can't seem to find the key to get past the beeping and incomplete install of 1.08....

All suggestions welcome....
 

New Threads

Forum statistics

Threads
20,540
Messages
198,879
Members
30,085
Latest member
Youssouf TIEMTORE